{
  "codeName" : "InterFuncForm",
  "controlType" : "FORM",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "defaultLabelWidth" : 130,
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSFORMS/InterFuncForm.json",
  "getGetDraftFromPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraftfrom"
  },
  "getGetDraftPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraft"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "hookEventNames" : [ "LOAD", "SAVE", "REMOVE" ],
  "logicName" : "编辑表单（内置功能）",
  "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdeform_editforms/InterFuncForm",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPVIEWUIACTION",
    "name" : "form_grouppanel1_u010ffcf_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "打开文档"
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPVIEWUIACTION",
    "name" : "form_grouppanel1_uee49d60_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "打开实体看板文档"
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPVIEWUIACTION",
    "name" : "form_button1_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "form_button1"
    }
  } ],
  "getPSAppViewUIActions" : [ {
    "name" : "打开文档",
    "getPSUIAction" : {
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
      },
      "modelref" : true,
      "id" : "openDocument@IBIZBOOK"
    },
    "uIActionTarget" : "SINGLEKEY",
    "xDataControlName" : "form"
  }, {
    "name" : "打开实体看板文档",
    "getPSUIAction" : {
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
      },
      "modelref" : true,
      "id" : "openKanbanDocument@IBIZBOOK"
    },
    "uIActionTarget" : "NONE",
    "xDataControlName" : "form"
  }, {
    "name" : "form_button1",
    "getPSUIAction" : {
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
      },
      "modelref" : true,
      "id" : "openDocument@IBIZBOOK"
    },
    "uIActionTarget" : "SINGLEKEY",
    "xDataControlName" : "form"
  } ],
  "getPSControlLogics" : [ {
    "eventNames" : "LOAD;SAVE;REMOVE",
    "logicTag" : "form",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_form",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDEFormItems" : [ {
    "id" : "srfupdatedate",
    "hidden" : true,
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "srforikey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfkey",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    }
  }, {
    "id" : "srfmajortext",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZBOOKNAME",
      "codeName" : "IBIZBOOKName"
    }
  }, {
    "id" : "srftempmode",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfuf",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfdeid",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfsourcekey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "ibizbookid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    }
  }, {
    "id" : "ibizbookname",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZBOOKNAME",
      "codeName" : "IBIZBOOKName"
    }
  }, {
    "id" : "author",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "AUTHOR",
      "codeName" : "Author"
    }
  }, {
    "id" : "press",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "PRESS",
      "codeName" : "Press"
    }
  }, {
    "id" : "price",
    "dataType" : 7,
    "getPSAppDEField" : {
      "name" : "PRICE",
      "codeName" : "Price"
    }
  }, {
    "id" : "type",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "TYPE",
      "codeName" : "Type"
    }
  }, {
    "id" : "booknumber",
    "dataType" : 9,
    "getPSAppDEField" : {
      "name" : "BOOKNUMBER",
      "codeName" : "Booknumber"
    }
  }, {
    "id" : "icon",
    "dataType" : 21,
    "getPSAppDEField" : {
      "name" : "ICON",
      "codeName" : "Icon"
    }
  }, {
    "id" : "lendouttime",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "LENDOUTTIME",
      "codeName" : "Lendouttime"
    }
  }, {
    "id" : "returntime",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "RETURNTIME",
      "codeName" : "Returntime"
    }
  }, {
    "id" : "subtext",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "SUBTEXT",
      "codeName" : "Subtext"
    }
  } ],
  "getPSDEFormPages" : [ {
    "getCapPSLanguageRes" : {
      "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.MAIN.FORMPAGE.FORMPAGE1",
      "mOSFilePath" : "pslanguageres/Auto1918",
      "rTMOSFilePath" : "pslanguageres/Auto1918"
    },
    "caption" : "基本信息",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "mOSFilePath" : "psdeformdetail_formpages/formpage1",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "actionGroupExtractMode" : "ITEM",
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.MAIN.GROUPPANEL.GROUP1",
        "mOSFilePath" : "pslanguageres/Auto1843",
        "rTMOSFilePath" : "pslanguageres/Auto1843"
      },
      "caption" : "编辑表单内置功能",
      "codeName" : "group1",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "mOSFilePath" : "psdeformdetail_grouppanels/group1",
      "name" : "group1",
      "getPSDEFormDetails" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZBOOKID",
          "mOSFilePath" : "pslanguageres/Auto1841",
          "rTMOSFilePath" : "pslanguageres/Auto1841"
        },
        "caption" : "图书标识",
        "codeName" : "ibizbookid",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/ibizbookid",
        "name" : "ibizbookid",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "IBIZBOOKID",
          "codeName" : "IBIZBOOKId"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "ibizbookid"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/ibizbookid",
        "allowEmpty" : true,
        "hidden" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZBOOKNAME",
          "mOSFilePath" : "pslanguageres/Auto1983",
          "rTMOSFilePath" : "pslanguageres/Auto1983"
        },
        "caption" : "图书名称",
        "codeName" : "ibizbookname",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/ibizbookname",
        "name" : "ibizbookname",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "IBIZBOOKNAME",
          "codeName" : "IBIZBOOKName"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 200,
          "name" : "ibizbookname"
        },
        "getPSLayoutPos" : {
          "colLG" : 8,
          "colMD" : 8,
          "colSM" : 12,
          "colXS" : 12,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/ibizbookname",
        "allowEmpty" : false,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.AUTHOR",
          "mOSFilePath" : "pslanguageres/Auto2038",
          "rTMOSFilePath" : "pslanguageres/Auto2038"
        },
        "caption" : "图书作者",
        "codeName" : "author",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/author",
        "name" : "author",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "AUTHOR",
          "codeName" : "Author"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 100,
          "name" : "author"
        },
        "getPSLayoutPos" : {
          "colLG" : 8,
          "colMD" : 8,
          "colSM" : 12,
          "colXS" : 12,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/author",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.PRESS",
          "mOSFilePath" : "pslanguageres/Auto1827",
          "rTMOSFilePath" : "pslanguageres/Auto1827"
        },
        "caption" : "图书出版社",
        "codeName" : "press",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/press",
        "name" : "press",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "PRESS",
          "codeName" : "Press"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 100,
          "name" : "press"
        },
        "getPSLayoutPos" : {
          "colLG" : 8,
          "colMD" : 8,
          "colSM" : 12,
          "colXS" : 12,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/press",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.PRICE",
          "mOSFilePath" : "pslanguageres/Auto1925",
          "rTMOSFilePath" : "pslanguageres/Auto1925"
        },
        "caption" : "图书价格",
        "codeName" : "price",
        "dataType" : 7,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/price",
        "name" : "price",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "PRICE",
          "codeName" : "Price"
        },
        "getPSEditor" : {
          "editorType" : "NUMBER",
          "name" : "price",
          "precision" : 2
        },
        "getPSLayoutPos" : {
          "colLG" : 8,
          "colMD" : 8,
          "colSM" : 12,
          "colXS" : 12,
          "layout" : "TABLE_24COL"
        },
        "getPSSysCss" : {
          "cssName" : "form-item-blue-label"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/price",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.TYPE",
          "mOSFilePath" : "pslanguageres/Auto2088",
          "rTMOSFilePath" : "pslanguageres/Auto2088"
        },
        "caption" : "图书类型",
        "codeName" : "type",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/type",
        "name" : "type",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "TYPE",
          "codeName" : "Type"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 100,
          "name" : "type"
        },
        "getPSLayoutPos" : {
          "colLG" : 8,
          "colMD" : 8,
          "colSM" : 12,
          "colXS" : 12,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/type",
        "allowEmpty" : true,
        "convertToCodeItemText" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.BOOKNUMBER",
          "mOSFilePath" : "pslanguageres/Auto2067",
          "rTMOSFilePath" : "pslanguageres/Auto2067"
        },
        "caption" : "图书数量",
        "codeName" : "booknumber",
        "dataType" : 9,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/booknumber",
        "name" : "booknumber",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "BOOKNUMBER",
          "codeName" : "Booknumber"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "booknumber"
        },
        "getPSLayoutPos" : {
          "colLG" : 8,
          "colMD" : 8,
          "colSM" : 12,
          "colXS" : 12,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/booknumber",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.ICON",
          "mOSFilePath" : "pslanguageres/Auto1097",
          "rTMOSFilePath" : "pslanguageres/Auto1097"
        },
        "caption" : "图标",
        "codeName" : "icon",
        "dataType" : 21,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "itemHeight" : 200.0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/icon",
        "name" : "icon",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "ICON",
          "codeName" : "Icon"
        },
        "getPSEditor" : {
          "editorHeight" : 200.0,
          "editorParams" : {
            "HEIGHT" : "200"
          },
          "editorType" : "TEXTAREA_10",
          "maxLength" : 1048576,
          "name" : "icon",
          "showMaxLength" : true
        },
        "getPSLayoutPos" : {
          "colLG" : 8,
          "colMD" : 8,
          "colSM" : 12,
          "colXS" : 12,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/icon",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.LENDOUTTIME",
          "mOSFilePath" : "pslanguageres/Auto2028",
          "rTMOSFilePath" : "pslanguageres/Auto2028"
        },
        "caption" : "借出日期",
        "codeName" : "lendouttime",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "itemWidth" : 230.0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/lendouttime",
        "name" : "lendouttime",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "LENDOUTTIME",
          "codeName" : "Lendouttime"
        },
        "getPSEditor" : {
          "dateTimeFormat" : "YYYY-MM-DD",
          "editorParams" : {
            "TIMEFMT" : "YYYY-MM-DD"
          },
          "editorType" : "DATEPICKEREX_NOTIME",
          "editorWidth" : 100.0,
          "name" : "lendouttime"
        },
        "getPSLayoutPos" : {
          "colLG" : 8,
          "colMD" : 8,
          "colSM" : 12,
          "colXS" : 12,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/lendouttime",
        "valueFormat" : "YYYY-MM-DD",
        "allowEmpty" : false,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.RETURNTIME",
          "mOSFilePath" : "pslanguageres/Auto1979",
          "rTMOSFilePath" : "pslanguageres/Auto1979"
        },
        "caption" : "归还日期",
        "codeName" : "returntime",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "itemWidth" : 230.0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/returntime",
        "name" : "returntime",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "RETURNTIME",
          "codeName" : "Returntime"
        },
        "getPSEditor" : {
          "dateTimeFormat" : "YYYY-MM-DD",
          "editorParams" : {
            "TIMEFMT" : "YYYY-MM-DD"
          },
          "editorType" : "DATEPICKEREX_NOTIME",
          "editorWidth" : 100.0,
          "name" : "returntime"
        },
        "getPSLayoutPos" : {
          "colLG" : 8,
          "colMD" : 8,
          "colSM" : 12,
          "colXS" : 12,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/returntime",
        "valueFormat" : "YYYY-MM-DD",
        "allowEmpty" : false,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.SUBTEXT",
          "mOSFilePath" : "pslanguageres/Auto2119",
          "rTMOSFilePath" : "pslanguageres/Auto2119"
        },
        "caption" : "图书描述",
        "codeName" : "subtext",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "itemHeight" : 200.0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/subtext",
        "name" : "subtext",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "SUBTEXT",
          "codeName" : "Subtext"
        },
        "getPSEditor" : {
          "editorHeight" : 200.0,
          "editorParams" : {
            "HEIGHT" : "200"
          },
          "editorType" : "TEXTAREA_10",
          "maxLength" : 100,
          "name" : "subtext",
          "showMaxLength" : true
        },
        "getPSLayoutPos" : {
          "colLG" : 24,
          "colMD" : 24,
          "colSM" : 24,
          "colXS" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/subtext",
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSSysCss" : {
        "cssName" : "form-group-custom"
      },
      "rTMOSFilePath" : "psdeformdetail_grouppanels/group1",
      "titleBarCloseMode" : 1,
      "infoGroupMode" : false,
      "showCaption" : true
    }, {
      "actionGroupExtractMode" : "ITEM",
      "caption" : "分组面板",
      "codeName" : "grouppanel1",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "mOSFilePath" : "psdeformdetail_grouppanels/grouppanel1",
      "name" : "grouppanel1",
      "getPSDEFormDetails" : [ {
        "actionType" : "UIACTION",
        "caption" : "打开文档",
        "codeName" : "button1",
        "detailStyle" : "DEFAULT",
        "detailType" : "BUTTON",
        "mOSFilePath" : "psdeformdetail_buttons/button1",
        "name" : "button1",
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "form_button1"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "noPrivDisplayMode" : 1,
          "caption" : "打开文档",
          "codeName" : "openDocument",
          "dataAccessAction" : "OPEN_DOCUMENT",
          "frontProcessType" : "OPENHTMLPAGE",
          "fullCodeName" : "IBIZBOOK_openDocument",
          "htmlPageUrl" : "https://www.yuque.com/ibiz/wuf19n",
          "mOSFilePath" : "pssysapps/Web/psappdataentities/IBIZBOOK/psappdeuiactions/openDocument",
          "name" : "打开文档",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
          },
          "getPSDEOPPriv" : {
            "modelref" : true,
            "id" : "OPEN_DOCUMENT"
          },
          "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZBOOK/psappdeuiactions/openDocument",
          "timeout" : 60000,
          "uIActionMode" : "FRONT",
          "uIActionTag" : "openDocument",
          "uIActionType" : "DEUIACTION",
          "id" : "openDocument@IBIZBOOK"
        },
        "rTMOSFilePath" : "psdeformdetail_buttons/button1",
        "tooltip" : "打开文档",
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSUIActionGroup" : {
        "codeName" : "Auto15",
        "mOSFilePath" : "pssysapps/Web/psappdataentities/IBIZBOOK/psappdeuagroups/Auto15",
        "name" : "打开文档",
        "getPSUIActionGroupDetails" : [ {
          "detailType" : "DEUIACTION",
          "name" : "u010ffcf",
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "noPrivDisplayMode" : 1,
            "caption" : "打开文档",
            "codeName" : "openDocument",
            "dataAccessAction" : "OPEN_DOCUMENT",
            "frontProcessType" : "OPENHTMLPAGE",
            "fullCodeName" : "IBIZBOOK_openDocument",
            "htmlPageUrl" : "https://www.yuque.com/ibiz/wuf19n",
            "mOSFilePath" : "pssysapps/Web/psappdataentities/IBIZBOOK/psappdeuiactions/openDocument",
            "name" : "打开文档",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
            },
            "getPSDEOPPriv" : {
              "modelref" : true,
              "id" : "OPEN_DOCUMENT"
            },
            "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZBOOK/psappdeuiactions/openDocument",
            "timeout" : 60000,
            "uIActionMode" : "FRONT",
            "uIActionTag" : "openDocument",
            "uIActionType" : "DEUIACTION",
            "id" : "openDocument@IBIZBOOK"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "detailType" : "DEUIACTION",
          "name" : "uee49d60",
          "getPSUIAction" : {
            "actionTarget" : "NONE",
            "caption" : "打开实体看板文档",
            "codeName" : "openKanbanDocument",
            "frontProcessType" : "OPENHTMLPAGE",
            "fullCodeName" : "IBIZBOOK_openKanbanDocument",
            "htmlPageUrl" : "https://www.yuque.com/ibiz/wuf19n/tqi7p6",
            "mOSFilePath" : "pssysapps/Web/psappdataentities/IBIZBOOK/psappdeuiactions/openKanbanDocument",
            "name" : "打开实体看板文档",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
            },
            "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZBOOK/psappdeuiactions/openKanbanDocument",
            "timeout" : 60000,
            "uIActionMode" : "FRONT",
            "uIActionTag" : "openKanbanDocument",
            "uIActionType" : "DEUIACTION",
            "id" : "openKanbanDocument@IBIZBOOK"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        } ],
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZBOOK/psappdeuagroups/Auto15"
      },
      "rTMOSFilePath" : "psdeformdetail_grouppanels/grouppanel1",
      "titleBarCloseMode" : 1,
      "infoGroupMode" : false,
      "showCaption" : true
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
    "infoGroupMode" : false
  } ],
  "getPSLayout" : {
    "childColLG" : -1,
    "childColMD" : 24,
    "childColSM" : -1,
    "childColXS" : -1,
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKInterFuncEditView/psappviewctrls/form",
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "tabHeaderPos" : "TOP",
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "noTabHeader" : true,
  "modelid" : "d6689ff089cc4e6b309810440dea65d5",
  "modeltype" : "PSDEFORM_EDITFORM"
}